Bug 178617 - [new port]: databases/p5-MR-Tarantool Driver for an efficient Tarantool/Box NoSQL in-memory storage
Summary: [new port]: databases/p5-MR-Tarantool Driver for an efficient Tarantool/Box N...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Andrej Zverev
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-05-14 09:30 UTC by Veniamin
Modified: 2013-06-17 04:10 UTC (History)
0 users

See Also:


Attachments
file.shar (3.47 KB, text/plain)
2013-05-14 09:30 UTC, Veniamin
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Veniamin 2013-05-14 09:23:32 UTC
>Number:         178617
>Category:       ports
>Synopsis:       [new port]: databases/p5-MR-Tarantool Driver for an efficient Tarantool/Box NoSQL in-memory storage
>Confidential:   no
>Severity:       non-critical
>Priority:       low
>Responsible:    freebsd-ports-bugs
>State:          open
>Quarter:        
>Keywords:       
>Date-Required:
>Class:          change-request
>Submitter-Id:   current-users
>Arrival-Date:   Tue May 14 08:30:00 UTC 2013
>Closed-Date:
>Last-Modified:
>Originator:     Veniamin Gvozdikov
>Release:        FreeBSD 9.1-RELEASE
>Organization:
>Environment:
FreeBSD ololo 9.1-RELEASE FreeBSD 9.1-RELEASE #0 r243825: Tue Dec  4 09:23:10 UTC 2012     root@farrell.cse.buffalo.edu:/usr/obj/usr/src/sys/GENERIC  amd64
>Description:
A driver for an efficient Tarantool/Box NoSQL in-memory storage.
>How-To-Repeat:

>Fix:
# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	p5-MR-Tarantool
#	p5-MR-Tarantool/pkg-plist
#	p5-MR-Tarantool/pkg-descr
#	p5-MR-Tarantool/Makefile
#	p5-MR-Tarantool/distinfo
#
echo c - p5-MR-Tarantool
mkdir -p p5-MR-Tarantool > /dev/null 2>&1
echo x - p5-MR-Tarantool/pkg-plist
sed 's/^X//' >p5-MR-Tarantool/pkg-plist << 'aaf0037303f495435a55a962c244f26c'
X%%SITE_PERL%%/%%PERL_ARCH%%/auto/MR/Tarantool/.packlist
X%%SITE_PERL%%/MR/Pending.pm
X%%SITE_PERL%%/MR/IProto.pm
X%%SITE_PERL%%/MR/Tarantool/Box/Singleton.pm
X%%SITE_PERL%%/MR/Tarantool/Box.pm
X%%SITE_PERL%%/MR/IProto/Connection.pm
X%%SITE_PERL%%/MR/IProto/Message.pm
X%%SITE_PERL%%/MR/IProto/NoResponse.pm
X%%SITE_PERL%%/MR/IProto/Role/Debuggable.pm
X%%SITE_PERL%%/MR/IProto/Cluster.pm
X%%SITE_PERL%%/MR/IProto/Cluster/Server.pm
X%%SITE_PERL%%/MR/IProto/Response.pm
X%%SITE_PERL%%/MR/IProto/Server/Connection.pm
X%%SITE_PERL%%/MR/IProto/Server.pm
X%%SITE_PERL%%/MR/IProto/Error.pm
X%%SITE_PERL%%/MR/IProto/Request.pm
X%%SITE_PERL%%/MR/IProto/Connection/Async.pm
X%%SITE_PERL%%/MR/IProto/Connection/Sync.pm
X%%SITE_PERL%%/MR/SilverBox.pm
X@dirrm %%SITE_PERL%%/%%PERL_ARCH%%/auto/MR/Tarantool
X@dirrm %%SITE_PERL%%/%%PERL_ARCH%%/auto/MR
X@dirrm %%SITE_PERL%%/MR/Tarantool/Box
X@dirrm %%SITE_PERL%%/MR/Tarantool
X@dirrm %%SITE_PERL%%/MR/IProto/Server
X@dirrm %%SITE_PERL%%/MR/IProto/Role
X@dirrm %%SITE_PERL%%/MR/IProto/Connection
X@dirrm %%SITE_PERL%%/MR/IProto/Cluster
X@dirrm %%SITE_PERL%%/MR/IProto
X@dirrm %%SITE_PERL%%/MR
aaf0037303f495435a55a962c244f26c
echo x - p5-MR-Tarantool/pkg-descr
sed 's/^X//' >p5-MR-Tarantool/pkg-descr << 'db86e227266ebb876507c30f9fca900e'
XA driver for an efficient Tarantool/Box NoSQL in-memory storage.
X
XWWW: http://search.cpan.org/dist/MR-Tarantool/
db86e227266ebb876507c30f9fca900e
echo x - p5-MR-Tarantool/Makefile
sed 's/^X//' >p5-MR-Tarantool/Makefile << '2ef3b506ca56ec4a7d9a82eea5261a1a'
X# Created by: Gvozdikov Veniamin <g.veniamin@googlemail.com>
X# $FreeBSD$
X
XPORTNAME=	MR-Tarantool
XPORTVERSION=	0.0.24
XCATEGORIES=	databases perl5
XMASTER_SITES=	CPAN
XPKGNAMEPREFIX=	p5-
X
XMAINTAINER=	g.veniamin@googlemail.com
XCOMMENT=	Driver for an efficient Tarantool/Box NoSQL in-memory storage
X
XBUILD_DEPENDS=	p5-AnyEvent>=7.04:${PORTSDIR}/devel/p5-AnyEvent \
X		p5-Class-Singleton>=1.4:${PORTSDIR}/devel/p5-Class-Singleton \
X		p5-Mouse>=1.1:${PORTSDIR}/devel/p5-Mouse \
X		p5-String-CRC32>=1.4:${PORTSDIR}/devel/p5-String-CRC32
XRUN_DEPENDS:=	${BUILD_DEPENDS}
X
XPERL_CONFIGURE=	yes
X
XMAN3=	MR::IProto.3 \
X	MR::IProto::Cluster.3 \
X	MR::IProto::Cluster::Server.3 \
X	MR::IProto::Connection.3 \
X	MR::IProto::Connection::Async.3 \
X	MR::IProto::Connection::Sync.3 \
X	MR::IProto::Error.3 \
X	MR::IProto::Message.3 \
X	MR::IProto::NoResponse.3 \
X	MR::IProto::Request.3 \
X	MR::IProto::Response.3 \
X	MR::IProto::Role::Debuggable.3 \
X	MR::IProto::Server.3 \
X	MR::IProto::Server::Connection.3 \
X	MR::SilverBox.3 \
X	MR::Tarantool::Box.3 \
X	MR::Tarantool::Box::Singleton.3
X
X.include <bsd.port.mk>
2ef3b506ca56ec4a7d9a82eea5261a1a
echo x - p5-MR-Tarantool/distinfo
sed 's/^X//' >p5-MR-Tarantool/distinfo << '7a2b4537e9f53969f991f78650dd59a6'
XSHA256 (MR-Tarantool-0.0.24.tar.gz) = 3612d53b3deae33c08936c53eed8bb421c483c706d0aef407f514bfca4820952
XSIZE (MR-Tarantool-0.0.24.tar.gz) = 41155
7a2b4537e9f53969f991f78650dd59a6
exit


>Release-Note:
>Audit-Trail:
>Unformatted:
_______________________________________________
freebsd-ports-bugs@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-ports-bugs
To unsubscribe, send any mail to "freebsd-ports-bugs-unsubscribe@freebsd.org"
Comment 1 Veniamin 2013-05-14 09:30:00 UTC
A driver for an efficient Tarantool/Box NoSQL in-memory storage.
Comment 2 Andrej Zverev freebsd_committer 2013-06-16 18:28:22 UTC
Responsible Changed
From-To: freebsd-ports-bugs->az

I'll take it.
Comment 3 dfilter service freebsd_committer 2013-06-16 18:48:51 UTC
Author: az
Date: Sun Jun 16 17:48:40 2013
New Revision: 321063
URL: http://svnweb.freebsd.org/changeset/ports/321063

Log:
  new port databases/p5-MR-Tarantool
  
  A driver for an efficient Tarantool/Box NoSQL in-memory storage.
  
  PR:		ports/178617
  Submitted by:	Veniamin Gvozdikov <g.veniamin@googlemail.com>

Added:
  head/databases/p5-MR-Tarantool/
  head/databases/p5-MR-Tarantool/Makefile   (contents, props changed)
  head/databases/p5-MR-Tarantool/distinfo   (contents, props changed)
  head/databases/p5-MR-Tarantool/pkg-descr   (contents, props changed)
  head/databases/p5-MR-Tarantool/pkg-plist   (contents, props changed)
Modified:
  head/databases/Makefile

Modified: head/databases/Makefile
==============================================================================
--- head/databases/Makefile	Sun Jun 16 17:12:34 2013	(r321062)
+++ head/databases/Makefile	Sun Jun 16 17:48:40 2013	(r321063)
@@ -433,6 +433,7 @@
     SUBDIR += p5-Iterator-DBI
     SUBDIR += p5-Jifty-DBI
     SUBDIR += p5-KyotoCabinet
+    SUBDIR += p5-MR-Tarantool
     SUBDIR += p5-MLDBM
     SUBDIR += p5-MLDBM-Sync
     SUBDIR += p5-Memcached-libmemcached

Added: head/databases/p5-MR-Tarantool/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/databases/p5-MR-Tarantool/Makefile	Sun Jun 16 17:48:40 2013	(r321063)
@@ -0,0 +1,39 @@
+# Created by: Gvozdikov Veniamin <g.veniamin@googlemail.com>
+# $FreeBSD$
+
+PORTNAME=	MR-Tarantool
+PORTVERSION=	0.0.24
+CATEGORIES=	databases perl5
+MASTER_SITES=	CPAN
+PKGNAMEPREFIX=	p5-
+
+MAINTAINER=	g.veniamin@googlemail.com
+COMMENT=	Driver for an efficient Tarantool/Box NoSQL in-memory storage
+
+BUILD_DEPENDS=	p5-AnyEvent>=7.04:${PORTSDIR}/devel/p5-AnyEvent \
+		p5-Class-Singleton>=1.4:${PORTSDIR}/devel/p5-Class-Singleton \
+		p5-Mouse>=1.1:${PORTSDIR}/devel/p5-Mouse \
+		p5-String-CRC32>=1.4:${PORTSDIR}/devel/p5-String-CRC32
+RUN_DEPENDS:=	${BUILD_DEPENDS}
+
+PERL_CONFIGURE=	yes
+
+MAN3=	MR::IProto.3 \
+	MR::IProto::Cluster.3 \
+	MR::IProto::Cluster::Server.3 \
+	MR::IProto::Connection.3 \
+	MR::IProto::Connection::Async.3 \
+	MR::IProto::Connection::Sync.3 \
+	MR::IProto::Error.3 \
+	MR::IProto::Message.3 \
+	MR::IProto::NoResponse.3 \
+	MR::IProto::Request.3 \
+	MR::IProto::Response.3 \
+	MR::IProto::Role::Debuggable.3 \
+	MR::IProto::Server.3 \
+	MR::IProto::Server::Connection.3 \
+	MR::SilverBox.3 \
+	MR::Tarantool::Box.3 \
+	MR::Tarantool::Box::Singleton.3
+
+.include <bsd.port.mk>

Added: head/databases/p5-MR-Tarantool/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/databases/p5-MR-Tarantool/distinfo	Sun Jun 16 17:48:40 2013	(r321063)
@@ -0,0 +1,2 @@
+SHA256 (MR-Tarantool-0.0.24.tar.gz) = 3612d53b3deae33c08936c53eed8bb421c483c706d0aef407f514bfca4820952
+SIZE (MR-Tarantool-0.0.24.tar.gz) = 41155

Added: head/databases/p5-MR-Tarantool/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/databases/p5-MR-Tarantool/pkg-descr	Sun Jun 16 17:48:40 2013	(r321063)
@@ -0,0 +1,3 @@
+A driver for an efficient Tarantool/Box NoSQL in-memory storage.
+
+WWW: http://search.cpan.org/dist/MR-Tarantool/

Added: head/databases/p5-MR-Tarantool/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/databases/p5-MR-Tarantool/pkg-plist	Sun Jun 16 17:48:40 2013	(r321063)
@@ -0,0 +1,29 @@
+%%SITE_PERL%%/%%PERL_ARCH%%/auto/MR/Tarantool/.packlist
+%%SITE_PERL%%/MR/Pending.pm
+%%SITE_PERL%%/MR/IProto.pm
+%%SITE_PERL%%/MR/Tarantool/Box/Singleton.pm
+%%SITE_PERL%%/MR/Tarantool/Box.pm
+%%SITE_PERL%%/MR/IProto/Connection.pm
+%%SITE_PERL%%/MR/IProto/Message.pm
+%%SITE_PERL%%/MR/IProto/NoResponse.pm
+%%SITE_PERL%%/MR/IProto/Role/Debuggable.pm
+%%SITE_PERL%%/MR/IProto/Cluster.pm
+%%SITE_PERL%%/MR/IProto/Cluster/Server.pm
+%%SITE_PERL%%/MR/IProto/Response.pm
+%%SITE_PERL%%/MR/IProto/Server/Connection.pm
+%%SITE_PERL%%/MR/IProto/Server.pm
+%%SITE_PERL%%/MR/IProto/Error.pm
+%%SITE_PERL%%/MR/IProto/Request.pm
+%%SITE_PERL%%/MR/IProto/Connection/Async.pm
+%%SITE_PERL%%/MR/IProto/Connection/Sync.pm
+%%SITE_PERL%%/MR/SilverBox.pm
+@dirrm %%SITE_PERL%%/%%PERL_ARCH%%/auto/MR/Tarantool
+@dirrm %%SITE_PERL%%/%%PERL_ARCH%%/auto/MR
+@dirrm %%SITE_PERL%%/MR/Tarantool/Box
+@dirrm %%SITE_PERL%%/MR/Tarantool
+@dirrm %%SITE_PERL%%/MR/IProto/Server
+@dirrm %%SITE_PERL%%/MR/IProto/Role
+@dirrm %%SITE_PERL%%/MR/IProto/Connection
+@dirrm %%SITE_PERL%%/MR/IProto/Cluster
+@dirrm %%SITE_PERL%%/MR/IProto
+@dirrm %%SITE_PERL%%/MR
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Andrej Zverev freebsd_committer 2013-06-17 04:10:16 UTC
State Changed
From-To: open->closed

New port added. Thanks!